Package org.eclipse.cdt.core.parser

## Interface IGCCToken

All Superinterfaces:
  `IToken`

    public interface IGCCToken
    extends IToken

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.parser.IToken

`IToken.ContextSensitiveTokenType`

### Field Summary

Fields
`static int` `t___alignof__`
`static int` `t__attribute__`
`static int` `t__declspec`
`static int` `t__float128`
`static int` `t__int128`
`static int` `t_decimal128`
`static int` `t_decimal32`
`static int` `t_decimal64`
`static int` `t_typeof`
`static int` `tMAX`
`static int` `tMIN`
`static int` `tTT_has_nothrow_assign`
`static int` `tTT_has_nothrow_constructor`
`static int` `tTT_has_nothrow_copy`
`static int` `tTT_has_trivial_assign`
`static int` `tTT_has_trivial_constructor`
`static int` `tTT_has_trivial_copy`
`static int` `tTT_has_trivial_destructor`
`static int` `tTT_has_virtual_destructor`
`static int` `tTT_integer_pack`
`static int` `tTT_is_abstract`
`static int` `tTT_is_base_of`
`static int` `tTT_is_class`
`static int` `tTT_is_constructible`
`static int` `tTT_is_empty`
`static int` `tTT_is_enum`
`static int` `tTT_is_final`
`static int` `tTT_is_literal_type`
`static int` `tTT_is_pod`
`static int` `tTT_is_polymorphic`
`static int` `tTT_is_same`
`static int` `tTT_is_standard_layout`
`static int` `tTT_is_trivial`
`static int` `tTT_is_trivially_assignable`
`static int` `tTT_is_trivially_constructible`
`static int` `tTT_is_trivially_copyable`
`static int` `tTT_is_union`
`static int` `tTT_underlying_type`

### Fields inherited from interface org.eclipse.cdt.core.parser.IToken

`FIRST_RESERVED_IExtensionToken, FIRST_RESERVED_IGCCToken, FIRST_RESERVED_PREPROCESSOR, FIRST_RESERVED_SCANNER, LAST_RESERVED_IExtensionToken, LAST_RESERVED_IGCCToken, LAST_RESERVED_PREPROCESSOR, LAST_RESERVED_SCANNER, t__Alignas, t__Alignof, t__Bool, t__Complex, t__Imaginary, t_alignas, t_alignof, t_and, t_and_eq, t_asm, t_auto, t_bitand, t_bitor, t_bool, t_break, t_case, t_catch, t_char, t_char16_t, t_char32_t, t_class, t_compl, t_const, t_const_cast, t_constexpr, t_continue, t_decltype, t_default, t_delete, t_do, t_double, t_dynamic_cast, t_else, t_enum, t_explicit, t_export, t_extern, t_false, t_float, t_for, t_friend, t_goto, t_if, t_inline, t_int, t_long, t_mutable, t_namespace, t_new, t_noexcept, t_not, t_not_eq, t_nullptr, t_operator, t_or, t_or_eq, t_PRAGMA, t_private, t_protected, t_public, t_register, t_reinterpret_cast, t_restrict, t_return, t_short, t_signed, t_sizeof, t_static, t_static_assert, t_static_cast, t_struct, t_switch, t_template, t_this, t_thread_local, t_throw, t_true, t_try, t_typedef, t_typeid, t_typename, t_union, t_unsigned, t_using, t_virtual, t_void, t_volatile, t_wchar_t, t_while, t_xor, t_xor_eq, tAMPER, tAMPERASSIGN, tAND, tARROW, tARROWSTAR, tASSIGN, tBITCOMPLEMENT, tBITOR, tBITORASSIGN, tBLOCKCOMMENT, tCHAR, tCOLON, tCOLONCOLON, tCOMMA, tCOMMENT, tCOMPL, tCOMPLETION, tDECR, tDIV, tDIVASSIGN, tDOT, tDOTSTAR, tELLIPSIS, tEND_OF_INPUT, tEOC, tEQUAL, tFLOATINGPT, tGT, tGT_in_SHIFTR, tGTEQUAL, tIDENTIFIER, tINACTIVE_CODE_END, tINACTIVE_CODE_SEPARATOR, tINACTIVE_CODE_START, tINCR, tINTEGER, tLBRACE, tLBRACKET, tLCHAR, tLPAREN, tLSTRING, tLT, tLTEQUAL, tMACROEXP, tMINUS, tMINUSASSIGN, tMOD, tMODASSIGN, tNOT, tNOTEQUAL, tOR, tPLUS, tPLUSASSIGN, tPOUND, tPOUNDPOUND, tQUESTION, tRBRACE, tRBRACKET, tRPAREN, tSEMI, tSHIFTL, tSHIFTLASSIGN, tSHIFTR, tSHIFTRASSIGN, tSTAR, tSTARASSIGN, tSTRING, tUNKNOWN_CHAR, tUSER_DEFINED_CHAR_LITERAL, tUSER_DEFINED_STRING_LITERAL, tUTF16CHAR, tUTF16STRING, tUTF32CHAR, tUTF32STRING, tXOR, tXORASSIGN`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.parser.IToken

`getCharImage, getEndOffset, getImage, getLength, getNext, getOffset, getType, isOperator, setNext, setType`

### Field Detail

#### t_typeof

    static final int t_typeof

See Also:
  Constant Field Values

#### t___alignof__

    static final int t___alignof__

See Also:
  Constant Field Values

#### tMAX

    static final int tMAX

See Also:
  Constant Field Values

#### tMIN

    static final int tMIN

See Also:
  Constant Field Values

#### t__attribute__

    static final int t__attribute__

See Also:
  Constant Field Values

#### t__declspec

    static final int t__declspec

See Also:
  Constant Field Values

#### tTT_has_nothrow_assign

    static final int tTT_has_nothrow_assign

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_nothrow_copy

    static final int tTT_has_nothrow_copy

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_nothrow_constructor

    static final int tTT_has_nothrow_constructor

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_trivial_assign

    static final int tTT_has_trivial_assign

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_trivial_copy

    static final int tTT_has_trivial_copy

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_trivial_constructor

    static final int tTT_has_trivial_constructor

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_trivial_destructor

    static final int tTT_has_trivial_destructor

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_has_virtual_destructor

    static final int tTT_has_virtual_destructor

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_abstract

    static final int tTT_is_abstract

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_base_of

    static final int tTT_is_base_of

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_class

    static final int tTT_is_class

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_empty

    static final int tTT_is_empty

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_enum

    static final int tTT_is_enum

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_pod

    static final int tTT_is_pod

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_polymorphic

    static final int tTT_is_polymorphic

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_union

    static final int tTT_is_union

Since:
  5.3
See Also:
  Constant Field Values

#### tTT_is_literal_type

    static final int tTT_is_literal_type

Since:
  5.5
See Also:
  Constant Field Values

#### tTT_is_standard_layout

    static final int tTT_is_standard_layout

Since:
  5.5
See Also:
  Constant Field Values

#### tTT_is_trivial

    static final int tTT_is_trivial

Since:
  5.5
See Also:
  Constant Field Values

#### t__int128

    static final int t__int128

Since:
  5.5
See Also:
  Constant Field Values

#### t__float128

    static final int t__float128

Since:
  5.5
See Also:
  Constant Field Values

#### tTT_is_final

    static final int tTT_is_final

Since:
  5.6
See Also:
  Constant Field Values

#### tTT_underlying_type

    static final int tTT_underlying_type

Since:
  5.6
See Also:
  Constant Field Values

#### t_decimal32

    static final int t_decimal32

Since:
  5.10
See Also:
  Constant Field Values

#### t_decimal64

    static final int t_decimal64

Since:
  5.10
See Also:
  Constant Field Values

#### t_decimal128

    static final int t_decimal128

Since:
  5.10
See Also:
  Constant Field Values

#### tTT_is_trivially_copyable

    static final int tTT_is_trivially_copyable

Since:
  6.0
See Also:
  Constant Field Values

#### tTT_is_trivially_constructible

    static final int tTT_is_trivially_constructible

Since:
  6.0
See Also:
  Constant Field Values

#### tTT_is_trivially_assignable

    static final int tTT_is_trivially_assignable

Since:
  6.0
See Also:
  Constant Field Values

#### tTT_is_constructible

    static final int tTT_is_constructible

Since:
  6.6
See Also:
  Constant Field Values

#### tTT_integer_pack

    static final int tTT_integer_pack

Since:
  6.11
See Also:
  Constant Field Values

#### tTT_is_same

    static final int tTT_is_same

Since:
  7.1
See Also:
  Constant Field Values